%global app_root %{_datadir}/%{name}

%global git_date  20231110
%global git_hash  c19661b
%global git_ver  0.8.0rc3

%global rel 2
%global src_name  %{name}-%{git_date}-%{git_hash}.tar.xz

Name:           rubyripper
Version:    %{git_ver}^%{git_date}g%{git_hash}
Release:    %{rel}%{?dist}
Summary:        Open-source secure ripper for Linux
License:        GPLv3+
URL:            https://github.com/bleskodev/rubyripper
Source0:        %{src_name}

BuildArch:      noarch

BuildRequires:  make
BuildRequires:	ruby(release) >= 1.9
BuildRequires:  rubygem-gtk3-devel
BuildRequires:  cdparanoia-devel
BuildRequires:  flac-devel
BuildRequires:  libreplaygain-devel
BuildRequires:  libdiscid-devel
BuildRequires:  libcdio-devel

Requires:  rubypick rubygem-gettext rubygem-gtk3
Requires:  cdparanoia
Requires:  flac
Requires:  rubygem-rexml
Requires:  util-linux
Requires:  cd-discid
Requires:  vorbisgain
Requires:  normalize
Requires:  cdrdao


%description
Rubyripper is a digital audio extraction algorithm that uses cdparanoia in
a sophisticated way to make sure that a CD rip is done successfully and
accurately. It is very similar to and inspired by EAC. Rubyripper is written
in the ruby programming language.


%prep
%autosetup -n %{name}


%build
%configure --libdir=%{_libdir} --enable-lang=en --enable-gtk3 --enable-cli
%make_build DESTDIR=%{buildroot}


%install
%make_install DESTDIR=%{buildroot}


%files
%doc GPL-3.txt README.md
%{_bindir}/*
%{_datadir}/applications/*
%{_datadir}/icons/hicolor/*/apps/rubyripper.png
%{_prefix}/lib/%{name}/*


%changelog
%autochangelog
